<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>CSS Styling Properties and Position</title>
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" type="text/css" href="index.css">
</head>
<body>
	<h2>CSS Common Styling</h2>

	<div id="div-1">This is a div</div>
	<span id="span-1">This is a span</span>
	
	<img src="https://place-puppy.com/450x450" id="img">
	<span id="span-2">This is a another span</span>
	<div id="div-2">This is another div</div>

	<h3>Notes in block, inline and inline-block</h3>
	
	<p id="p-1">Block takes up the whole width</p>
	<p id="p-2">width 60</p>
	<p id="p-3">width 40</p>

	<p>Even if there is enough space, block elements do not sit next to each other unless if they are floated.</p>

	<p>Inline Elements are things like bold and Italics. You cannot control the height and width of these elements.</p>

	<p>Inline-block sit on the same line and combines block and inline properties.</p>

	<div class="sample">width = 30</div>
	<div class="sample">width = 30</div>
	<div class="sample">width = 30</div>

	<hr>

	<h3>Float</h3>
	<p>The float property is used for positioning and formatting content. e.g. let an image float left to the tetxt in a container</p>

	<p>
		<img class="img-float" src="https://place-puppy.com/350x350">Lorem ipsum dolor sit amet consectetur, adipisicing elit. Autem, exercitationem eveniet pariatur impedit. Architecto quasi itaque, accusantium tenetur. Incidunt, aperiam, reprehenderit. Repudiandae, culpa eos nulla odio. Odio perferendis, accusamus ad. Lorem ipsum dolor sit amet consectetur adipisicing elit. Blanditiis inventore numquam quia, accusantium modi, voluptate assumenda architecto, dicta laboriosam sit sequi perspiciatis quo ab soluta consequuntur, incidunt totam. Tempore, perspiciatis
	</p>

	<hr>

	<h3>CSS Units</h3>

	<h4>px vs %</h4>

	<div class="box fifty-percent">50%</div>
	<div class="box one-hundred-pixels">100px</div>

	<br>

	<div class="parent">
		<div class="box fifty-percent">50%</div>
		<div class="box one-hundred-pixels">100px</div>
	</div>

	<hr>

	<section class="background">
		<div class="container-dg">
			<h3 class="bg-title">CSS Background Properties</h3>
		</div>
	</section>
	<hr>
	<hr>


	<div class="parent-element">
		Parent Element
		<div class="child-1">I am child number 1.</div>
		<div class="child-2">I am child number 2.</div>
		<div class="child-3">I am child number 3.</div>
	</div>
	<hr>

	<h2>Z-index Example</h2>

	<p>An element with grater stack order is always above an element with a lower stack</p>

	<div class="container">
		<div class="black-box">z index 1</div>
		<div class="gray-box">z index 2</div>
	</div>

</body>
</html>